Subject: bug#30846: 26.0.91; debug-watch of kill-all-local-variables triggers 'assertion failed: found == !EQ (blv->defcell, blv->valcell)'

From: Noam Postavsky <[email-masked]>
Date: Tue, 20 Mar 2018 20:48:50 -0400

Eli Zaretskii <[email-masked]> writes:

>> From: Noam Postavsky <[email-masked]>
>> Cc: [email-masked]
>> Date: Sun, 18 Mar 2018 10:20:54 -0400
>> 
>> I don't really understand what the assertion is testing, at a high
>> level (that is, why does it expect 'defcell' and 'valcell' to have
>> that relation).
>
> Yes, the 'found' member could use a better documentation.  (Btw, all
> calls to set_blv_found seem to use the last argument of zero.)
>
> I hope Stefan can comment on this.

I'll add him to Cc then, I think he's not subscribed to the bug list.